Subject: Re: bug#12456: 24.2.50; Completion in `Info-goto-node' (cross-manual jump)

From: Juri Linkov <[email-masked]>
Date: Thu, 27 Dec 2012 23:57:04 +0200

> One question: if I do (from emacs -Q) `C-h r g ( e l i TAB TAB', I see
> two completion candidates: "elisp" and "elisp.info".  This is a bug,
> no?

I doubt its usefulness too because it doesn't allow TAB to add the
closing paren automatically as it does for a single completion,
but as a comment in `Info-read-node-name-2' says:

	  ;; If the file name ends in a standard suffix,
	  ;; add the unsuffixed name as a completion option.

So code adds both "elisp.info" with a standard suffix ".info"
and the unsuffixed name "elisp".

This means this intentionally is a feature, and not a bug.